Skip to content

Delete user and remove identifiable information

Request

Security
BearerAuth
Path
identifierstringrequired
Enum:"id""email""UID"
Example:email
identifier_valuestringrequired
Example:john.smith@example.org
Bodyapplication/json

By default the users UID will be maintained, if you wish to remove this you will need to pass a maintain_uid of false. Please note, if you anonymise the UID you will need to retain the record ID returned if the user is to be restored at a later date.

If accessing via an organisation level token you will need to provide an organisation_group_id in order to indicate which group the user belongs to.

maintain_uidboolean
Default:true
Example:true
POST
/v3/user/anonymise/{identifier}/{identifier_value}
curl -i -X POST \
  https://propello-cloud.redocly.app/_mock/openapi/v3/user/anonymise/email/john.smith@example.org \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "maintain_uid": true
  }'

Responses

OK

Bodyapplication/json
statusinteger
Example:200
timestampstring
Example:"1970-01-30T00:00:00.000000Z"
dataobject
Response
{ "status": 200, "timestamp": "1970-01-30T00:00:00.000000Z", "data": { "id": 987654, "UID": "ABC123", "first_name": null, "last_name": null, "email": null, "created_at": "1970-01-30T00:00:00.000000Z" } }